Announcement Announcement Module
Collapse
No announcement yet.
SB 2.2.0-RELEASE broken when using (the latest) SB Admin 1.2.1-RELEASE Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • SB 2.2.0-RELEASE broken when using (the latest) SB Admin 1.2.1-RELEASE

    Hi,
    I tried to upgrade to SB 2.2.0-RELEASE and the latest SB Admin (1.2.1-RELEASE), but now I'm facing the problem described in JIRA BATCHADM-151:Error instantiating Bean 'jobService' with Spring Batch 2.2.0 M1 which has been fixed since April.

    From the JIRA, this is a critical bug, and yet I don't see it scheduled until the 1.3.0 release.
    It would seem to me that 1.2.2 might come out sooner, but I guess that might not necessarily be the case.

    Questions:
    1. Is there a workaround for the above bug? If so, what is it?
    2. When is the SB Admin 1.3.0 release coming out?
    3. When is the SB Admin 1.2.2 release coming out?
    4. If the 1.2.2 release is coming out soon, can the fix for the above problem be included in that release?

    Thanks a lot!
    Glenn
    Last edited by glingle; Jul 24th, 2013, 11:03 PM.

  • #2
    Hi,
    Further research in the maven repo reveals that 1.2.2 is out, and a quick test showed that the fix is not in that release.

    Revised questions:
    1. When will SB Admin 1.3.0 be released?
    2. Will the release of SB Admin 1.3.0 be announced here? (I don't see the release of SB Admin 1.2.2 announced here.) If not, where will it be announced?

    Thanks again,
    Glenn

    Comment


    • #3
      The latest version of SB Admin is 1.2.2, however it is not 2.2.x compliant (it predates that release). We should have a release of admin out that works with 2.2.x later this year. It will be announced in this forum.

      Comment

      Working...
      X